gslintegration_lib = static_library('gslintegration',
	[
		'qk15.c',
		'qk21.c',
		'qk31.c',
		'qk41.c',
		'qk51.c',
		'qk61.c',
		'qk.c',
		'qng.c',
		'qng.h',
		'qag.c',
		'qags.c',
		'qagp.c',
		'workspace.c',
		'qcheb.c',
		'qawc.c',
		'qmomo.c',
		'qaws.c',
		'qmomof.c',
		'qawo.c',
		'qawf.c',
		'glfixed.c',
		'cquad.c',
		'fixed.c',
		'chebyshev.c',
		'chebyshev2.c',
		'legendre.c',
		'hermite.c',
		'laguerre.c',
		'gegenbauer.c',
		'jacobi.c',
		'exponential.c',
		'rational.c'
	],
	include_directories : '..'
)
gslintegration_dep = declare_dependency(link_with : gslintegration_lib)


gsl_tests += [ [ 'GSL Numeric Integration Test', files('test.c', 'tests.c', 'tests.h') ] ]
